function H=hhbulge(A)

% for A matrix 3x3,
% computes a unitary H such that H*A has the
% entries (3,1),(3,2) and (2,1) equal to zero

H1=hh3(A(:,1));
H2=givens(A(2:3,2));
H2=[1 0 0; zeros(2,1) H2];
H=H2*H1;
a=H*A(:,2);
H3=givens(a(2:3));
H3=[1 0 0; zeros(2,1) H3];
H=H3*H;